Package org.eclipse.emf.cdo.spi.common.branch

# Interface InternalCDOBranchManager.BranchLoader2

All Superinterfaces:
  `InternalCDOBranchManager.BranchLoader`

All Known Subinterfaces:
  `CDOSessionProtocol`, `InternalCDOBranchManager.BranchLoader3`, `InternalCDOBranchManager.BranchLoader4`, `InternalCDOBranchManager.BranchLoader5`, `InternalFailoverParticipant`, `InternalRepository`, `InternalSynchronizableRepository`

Enclosing interface:
  InternalCDOBranchManager

public static interface InternalCDOBranchManager.BranchLoader2 extends InternalCDOBranchManager.BranchLoader
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  4.3
Author:
  Mathieu Velten

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

`InternalCDOBranchManager.BranchLoader.BranchInfo, InternalCDOBranchManager.BranchLoader.SubBranchInfo`

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

`NEW_BRANCH, NEW_LOCAL_BRANCH`

## Method Summary

Modifier and Type
Method
Description
`void`
`deleteBranch(int branchID)`
Deprecated.
As of 4.15 use `InternalCDOBranchManager.BranchLoader5.deleteBranches(int, OMMonitor)`.
`void`
`renameBranch(int branchID, String newName)`
Deprecated.
As of 4.4.

### Methods inherited from interface org.eclipse.emf.cdo.spi.common.branch.InternalCDOBranchManager.BranchLoader

`createBranch, loadBranch, loadBranches, loadSubBranches`

## Method Details

### deleteBranch

@Deprecated void deleteBranch(int branchID)
Deprecated.
As of 4.15 use `InternalCDOBranchManager.BranchLoader5.deleteBranches(int, OMMonitor)`.

### renameBranch

@Deprecated void renameBranch(int branchID, String newName)
Deprecated.
As of 4.4. use `InternalCDOBranchManager.BranchLoader3.renameBranch(int, String, String)`.